# Uses of Interface
org.eclipse.equinox.app.IApplicationContext

Packages that use IApplicationContext
Package
Description
org.eclipse.ant.core
Provides support for running the Ant build tool in the platform.
org.eclipse.equinox.app
Provides core support for Eclipse application model.

## Uses of IApplicationContext in org.eclipse.ant.core

Methods in org.eclipse.ant.core with parameters of type IApplicationContext
Modifier and Type
Method
Description
`Object`
AntRunner.`start(IApplicationContext context)`
Invokes the building of a project object and executes a build using either a given target or the default target.

## Uses of IApplicationContext in org.eclipse.equinox.app

Methods in org.eclipse.equinox.app with parameters of type IApplicationContext
Modifier and Type
Method
Description
`Object`
IApplication.`start(IApplicationContext context)`
Starts this application with the given context and returns a result.